package com.ruoyi.approvalFlow.mapper;


import com.ruoyi.approvalFlow.domain.AuditPathsActs;

import java.util.List;

/**
 * 审批流配置明细Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public interface AuditPathsActsMapper {
    /**
     * 查询审批流配置明细
     *
     * @param id 审批流配置明细ID
     * @return 审批流配置明细
     */
    public AuditPathsActs selectAuditPathsActsById(Long id);

    /**
     * 查询审批流配置明细列表
     *
     * @param auditPathsActs 审批流配置明细
     * @return 审批流配置明细集合
     */
    public List<AuditPathsActs> selectAuditPathsActsList(AuditPathsActs auditPathsActs);

    /**
     * 新增审批流配置明细
     *
     * @param auditPathsActs 审批流配置明细
     * @return 结果
     */
    public int insertAuditPathsActs(AuditPathsActs auditPathsActs);

    /**
     * 修改审批流配置明细
     *
     * @param auditPathsActs 审批流配置明细
     * @return 结果
     */
    public int updateAuditPathsActs(AuditPathsActs auditPathsActs);

    /**
     * 删除审批流配置明细
     *
     * @param id 审批流配置明细ID
     * @return 结果
     */
    public int deleteAuditPathsActsById(Long id);

    /**
     * 批量删除审批流配置明细
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAuditPathsActsByIds(Long[] ids);

    /**
     *  查询审批配置是否被使用
     * @param auditPathsActs 条件
     * @return
     */
    int selectCountAuditPathsActs(AuditPathsActs auditPathsActs);

    /**
     *  查询数量
     * @param auditPathsActs
     * @return
     */
    int selectAuditPathsActsCount(AuditPathsActs auditPathsActs);
}
